package pojos;
// Generated 17-Feb-2020 17:55:34 by Hibernate Tools 4.3.1



/**
 * Subvencion generated by hbm2java
 */
public class Subvencion  implements java.io.Serializable {


     private SubvencionId id;
     private Asegurado asegurado;
     private Linea linea;
     private Short importe;
     private String asunto;

    public Subvencion() {
    }

	
    public Subvencion(SubvencionId id, Asegurado asegurado, Linea linea, String asunto) {
        this.id = id;
        this.asegurado = asegurado;
        this.linea = linea;
        this.asunto = asunto;
    }
    public Subvencion(SubvencionId id, Asegurado asegurado, Linea linea, Short importe, String asunto) {
       this.id = id;
       this.asegurado = asegurado;
       this.linea = linea;
       this.importe = importe;
       this.asunto = asunto;
    }
   
    public SubvencionId getId() {
        return this.id;
    }
    
    public void setId(SubvencionId id) {
        this.id = id;
    }
    public Asegurado getAsegurado() {
        return this.asegurado;
    }
    
    public void setAsegurado(Asegurado asegurado) {
        this.asegurado = asegurado;
    }
    public Linea getLinea() {
        return this.linea;
    }
    
    public void setLinea(Linea linea) {
        this.linea = linea;
    }
    public Short getImporte() {
        return this.importe;
    }
    
    public void setImporte(Short importe) {
        this.importe = importe;
    }
    public String getAsunto() {
        return this.asunto;
    }
    
    public void setAsunto(String asunto) {
        this.asunto = asunto;
    }




}


